
Redmine - Defect #24136

Unable to delete version

2016-10-21 17:58 - Christophe Portier

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Since we moved to 3.2.3 we can not delete any version anymore using any account (including Admin ones).

Even if the versions:

Don't have any "issue for this version"

Are not shared at all

Are in any status (closed, lock...)

Each time we try to delete a version, the message "Unable to delete version." is displayed and the version is not deleted.

Here are our versions in detail:

  Redmine version                3.2.3.stable

  Ruby version                   2.2.5-p319 (2016-04-26) [x86_64-linux]

  Rails version                  4.2.5.2

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Subversion                     1.6.11

  Git                            2.8.4

  Filesystem                     

Redmine plugins:

  no plugin installed

 If this is a 3.2.3 defect I guess we would not be the only ones facing it. But well, maybe, a first one has to raise issues?

History

#1 - 2016-10-21 19:06 - Jean-Philippe Lang

This message means that you have either an issue that references the version (as its target version) or a value for a version custom field that

references the version.

We could implement a mechanism similar to deleting a category (eg. being able to remove the references or reassign to another version).

#2 - 2016-10-25 11:25 - Christophe Portier

- Status changed from New to Resolved

You were right Jean-Philippe, thanks a lot for your help and sorry for this useless ticket (switched into Resolved as I can't reject it, but I would have if I

would have been able to).

#3 - 2016-10-25 18:51 - Toshi MARUYAMA

- Status changed from Resolved to Closed
